import{S as Bu,i as Gu,s as Ju,e as r,k as h,w,t as p,M as Yu,c as a,d as t,m as f,a as i,x,h as m,b as q,G as e,g as k,y as b,q as T,o as M,B as O,v as Ku,L as z}from"../../../chunks/vendor-hf-doc-builder.js";import{T as we}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as re}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as S}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Zu(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function eh(j){let s,_,d,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of text generation:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function th(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipelines"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipelines"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function oh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function nh(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=r("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),d=r("code"),u=p("pooler_output"),g=p(" as output):"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example of custom tasks(e.g. a sentence transformers taking "),d=a(v,"CODE",{});var E=i(d);u=m(E,"pooler_output"),E.forEach(t),g=m(v," as output):"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function sh(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipelines"),g=p("(only if the task is supported):"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipelines"),E.forEach(t),g=m(v,"(only if the task is supported):"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function rh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function ah(j){let s,_,d,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=p("Example of feature extraction:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of feature extraction:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function ih(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipeline"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipeline"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function lh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function ph(j){let s,_,d,u,g;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=p("Example of image classification:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of image classification:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function mh(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipeline"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipeline"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function dh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function ch(j){let s,_,d,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("ehdwns1516/bert-base-uncased_SWAG")
model = ORTModelForMultipleChoice.from_pretrained("ehdwns1516/bert-base-uncased_SWAG", from_transformers=True)

num_choices = 4
first_sentence = ["Members of the procession walk down the street holding small horn brass instruments."] * num_choices
second_sentence = [

inputs = tokenizer(first_sentence, second_sentence, truncation=True, padding=True)
for k, v in inputs.items():
    inputs[k] = [v[i: i + num_choices] for i in range(0, len(v), num_choices)]
inputs = dict(inputs.convert_to_tensors(tensor_type="pt"))
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_choices = <span class="hljs-number">4</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>first_sentence = [<span class="hljs-string">&quot;Members of the procession walk down the street holding small horn brass instruments.&quot;</span>] * num_choices
<span class="hljs-meta">&gt;&gt;&gt; </span>second_sentence = [
<span class="hljs-string">&quot;A drum line passes by walking down the street playing their instruments.&quot;</span>,
<span class="hljs-string">&quot;A drum line has heard approaching them.&quot;</span>,
<span class="hljs-string">&quot;A drum line arrives and they&#x27;re outside dancing and asleep.&quot;</span>,
<span class="hljs-string">&quot;A drum line turns the lead singer watches the performance.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(first_sentence, second_sentence, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># Unflatten the inputs values expanding it to the shape [batch_size, num_choices, seq_length]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items():
<span class="hljs-meta">&gt;&gt;&gt; </span>    inputs[k] = [v[i: i + num_choices] <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-built_in">len</span>(v), num_choices)]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = <span class="hljs-built_in">dict</span>(inputs.convert_to_tensors(tensor_type=<span class="hljs-string">&quot;pt&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=p("Example of mutliple choice:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of mutliple choice:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function uh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function hh(j){let s,_,d,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=r("p"),_=p("Example of question answering:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of question answering:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function fh(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipeline"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipeline"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function gh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function _h(j){let s,_,d,u,g;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=p("Example of semantic segmentation:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of semantic segmentation:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function $h(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipeline"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipeline"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function vh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function kh(j){let s,_,d,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of text generation:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function wh(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipeline"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipeline"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function xh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function bh(j){let s,_,d,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=p("Example of single-label classification:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of single-label classification:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Th(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipelines"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipelines"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function Mh(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){s=r("p"),_=p("Example using zero-shot-classification "),d=r("code"),u=p("transformers.pipelines"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using zero-shot-classification "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipelines"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function Oh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function yh(j){let s,_,d,u,g;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of text generation:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function qh(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipeline"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipeline"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function jh(j){let s,_,d,u,g;return{c(){s=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(l,"CODE",{});var y=i(d);u=m(y,"Module"),y.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(n,l){k(n,s,l),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function Eh(j){let s,_,d,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=p("Example of token classification:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var l=i(s);_=m(l,"Example of token classification:"),l.forEach(t),d=f(n),x(u.$$.fragment,n)},m(n,l){k(n,s,l),e(s,_),k(n,d,l),b(u,n,l),g=!0},p:z,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){M(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Rh(j){let s,_,d,u,g,n,l,y;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=r("p"),_=p("Example using "),d=r("code"),u=p("transformers.pipelines"),g=p(":"),n=h(),w(l.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=m(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=m(E,"transformers.pipelines"),E.forEach(t),g=m(v,":"),v.forEach(t),n=f(c),x(l.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),k(c,n,v),b(l,c,v),y=!0},p:z,i(c){y||(T(l.$$.fragment,c),y=!0)},o(c){M(l.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(l,c)}}}function Fh(j){let s,_,d,u,g,n,l,y,c,v,E,tt,Rn,no,Va,Fn,Ha,Qr,F,so,Ba,Cn,Ga,Ja,ro,Ya,Sn,Ka,Za,ei,zn,ti,oi,ao,he,ni,Pn,si,ri,An,ai,ii,Nn,li,pi,mi,fe,di,In,ci,ui,Dn,hi,fi,Ln,gi,_i,$i,Xn,vi,ki,te,io,wi,Wn,xi,bi,Ti,lo,Mi,po,Oi,yi,qi,oe,ji,Un,Ei,Ri,Qn,Fi,Ci,Vn,Si,zi,Hn,Pi,Ai,Ni,mo,Ii,Bn,Di,Li,Xi,Gn,Wi,Ui,ot,co,Qi,Jn,Vi,Hi,nt,uo,Bi,ho,Gi,Yn,Ji,Yi,Ki,st,fo,Zi,Kn,el,tl,rt,go,ol,Zn,nl,Vr,Ce,at,es,_o,sl,ts,rl,Hr,ge,$o,al,os,il,ll,V,vo,pl,Se,ml,ns,dl,cl,ss,ul,hl,fl,it,gl,lt,_l,pt,Br,ze,mt,rs,ko,$l,as,vl,Gr,U,wo,kl,is,wl,xl,xo,bl,ls,Tl,Ml,Ol,ps,yl,ql,H,bo,jl,Pe,El,ms,Rl,Fl,ds,Cl,Sl,zl,dt,Pl,ct,Al,ut,Jr,Ae,ht,cs,To,Nl,us,Il,Yr,A,Mo,Dl,hs,Ll,Xl,Oo,Wl,fs,Ul,Ql,Vl,gs,Hl,Bl,B,yo,Gl,Ne,Jl,_s,Yl,Kl,$s,Zl,ep,tp,ft,op,gt,np,_t,sp,$t,qo,rp,vs,ap,Kr,Ie,vt,ks,jo,ip,ws,lp,Zr,N,Eo,pp,xs,mp,dp,Ro,cp,bs,up,hp,fp,Ts,gp,_p,G,Fo,$p,De,vp,Ms,kp,wp,Os,xp,bp,Tp,kt,Mp,wt,Op,xt,yp,bt,Co,qp,ys,jp,ea,Le,Tt,qs,So,Ep,js,Rp,ta,I,zo,Fp,Es,Cp,Sp,Po,zp,Rs,Pp,Ap,Np,Fs,Ip,Dp,ae,Ao,Lp,Xe,Xp,Cs,Wp,Up,Ss,Qp,Vp,Hp,Mt,Bp,Ot,Gp,yt,No,Jp,zs,Yp,oa,We,qt,Ps,Io,Kp,As,Zp,na,D,Do,em,Ns,tm,om,Lo,nm,Is,sm,rm,am,Ds,im,lm,J,Xo,pm,Ue,mm,Ls,dm,cm,Xs,um,hm,fm,jt,gm,Et,_m,Rt,$m,Ft,Wo,vm,Ws,km,sa,Qe,Ct,Us,Uo,wm,Qs,xm,ra,Q,Qo,bm,Vs,Tm,Mm,Vo,Om,Hs,ym,qm,jm,Bs,Em,Rm,Y,Ho,Fm,Ve,Cm,Gs,Sm,zm,Js,Pm,Am,Nm,St,Im,zt,Dm,Pt,aa,He,At,Ys,Bo,Lm,Ks,Xm,ia,_e,Go,Wm,Zs,Um,Qm,K,Jo,Vm,Be,Hm,er,Bm,Gm,tr,Jm,Ym,Km,Nt,Zm,It,ed,Dt,la,Ge,Lt,or,Yo,td,nr,od,pa,L,Ko,nd,sr,sd,rd,Zo,ad,rr,id,ld,pd,ar,md,dd,W,en,cd,Je,ud,ir,hd,fd,lr,gd,_d,$d,Xt,vd,Wt,kd,Ut,wd,Qt,xd,Vt,tn,bd,pr,Td,ma,Ye,Ht,mr,on,Md,dr,Od,da,$e,nn,yd,cr,qd,jd,Z,sn,Ed,Ke,Rd,ur,Fd,Cd,hr,Sd,zd,Pd,Bt,Ad,Gt,Nd,Jt,ca,Ze,Yt,fr,rn,Id,gr,Dd,ua,X,an,Ld,_r,Xd,Wd,ln,Ud,$r,Qd,Vd,Hd,vr,Bd,Gd,ee,pn,Jd,et,Yd,kr,Kd,Zd,wr,ec,tc,oc,Kt,nc,Zt,sc,eo,rc,to,mn,ac,xr,ic,ha;return n=new re({}),no=new re({}),so=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L125"}}),co=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L549",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),uo=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L279"}}),fo=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L165"}}),go=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L253",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),_o=new re({}),$o=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L722"}}),vo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L730"}}),it=new we({props:{$$slots:{default:[Zu]},$$scope:{ctx:j}}}),lt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[eh]},$$scope:{ctx:j}}}),pt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[th]},$$scope:{ctx:j}}}),ko=new re({}),wo=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1753"}}),bo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1765"}}),dt=new we({props:{$$slots:{default:[oh]},$$scope:{ctx:j}}}),ct=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[nh]},$$scope:{ctx:j}}}),ut=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[sh]},$$scope:{ctx:j}}}),To=new re({}),Mo=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L637"}}),yo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L720"}}),ft=new we({props:{$$slots:{default:[rh]},$$scope:{ctx:j}}}),gt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[ah]},$$scope:{ctx:j}}}),_t=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[ih]},$$scope:{ctx:j}}}),qo=new R({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L649"}}),jo=new re({}),Eo=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1511"}}),Fo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1565"}}),kt=new we({props:{$$slots:{default:[lh]},$$scope:{ctx:j}}}),wt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[ph]},$$scope:{ctx:j}}}),xt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[mh]},$$scope:{ctx:j}}}),Co=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1523"}}),So=new re({}),zo=new R({props:{name:"class optimum.onnxruntime.ORTModelForMultipleChoice",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1342"}}),Ao=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1422"}}),Mt=new we({props:{$$slots:{default:[dh]},$$scope:{ctx:j}}}),Ot=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.example",$$slots:{default:[ch]},$$scope:{ctx:j}}}),No=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_choices",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1354"}}),Io=new re({}),Do=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L808"}}),Xo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L899"}}),jt=new we({props:{$$slots:{default:[uh]},$$scope:{ctx:j}}}),Et=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[hh]},$$scope:{ctx:j}}}),Rt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[fh]},$$scope:{ctx:j}}}),Wo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L820"}}),Uo=new re({}),Qo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1647"}}),Ho=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1661"}}),St=new we({props:{$$slots:{default:[gh]},$$scope:{ctx:j}}}),zt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[_h]},$$scope:{ctx:j}}}),Pt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[$h]},$$scope:{ctx:j}}}),Bo=new re({}),Go=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1174"}}),Jo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1197"}}),Nt=new we({props:{$$slots:{default:[vh]},$$scope:{ctx:j}}}),It=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[kh]},$$scope:{ctx:j}}}),Dt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[wh]},$$scope:{ctx:j}}}),Yo=new re({}),Ko=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1007"}}),en=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1089"}}),Xt=new we({props:{$$slots:{default:[xh]},$$scope:{ctx:j}}}),Wt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[bh]},$$scope:{ctx:j}}}),Ut=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[Th]},$$scope:{ctx:j}}}),Qt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[Mh]},$$scope:{ctx:j}}}),tn=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1020"}}),on=new re({}),nn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1282"}}),sn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1315"}}),Bt=new we({props:{$$slots:{default:[Oh]},$$scope:{ctx:j}}}),Gt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[yh]},$$scope:{ctx:j}}}),Jt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[qh]},$$scope:{ctx:j}}}),rn=new re({}),an=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1177"}}),pn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1259"}}),Kt=new we({props:{$$slots:{default:[jh]},$$scope:{ctx:j}}}),Zt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[Eh]},$$scope:{ctx:j}}}),eo=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[Rh]},$$scope:{ctx:j}}}),mn=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1189"}}),{c(){s=r("meta"),_=h(),d=r("h1"),u=r("a"),g=r("span"),w(n.$$.fragment),l=h(),y=r("span"),c=p("Models"),v=h(),E=r("h2"),tt=r("a"),Rn=r("span"),w(no.$$.fragment),Va=h(),Fn=r("span"),Ha=p("ORTModel"),Qr=h(),F=r("div"),w(so.$$.fragment),Ba=h(),Cn=r("p"),Ga=p("Base class for implementing models using ONNX Runtime."),Ja=h(),ro=r("p"),Ya=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Sn=r("code"),Ka=p("optimum.exporters.onnx"),Za=p(" toolchain."),ei=h(),zn=r("p"),ti=p("Class attributes:"),oi=h(),ao=r("ul"),he=r("li"),ni=p("model_type ("),Pn=r("code"),si=p("str"),ri=p(", "),An=r("em"),ai=p("optional"),ii=p(", defaults to "),Nn=r("code"),li=p('"onnx_model"'),pi=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),mi=h(),fe=r("li"),di=p("auto_model_class ("),In=r("code"),ci=p("Type"),ui=p(", "),Dn=r("em"),hi=p("optional"),fi=p(", defaults to "),Ln=r("code"),gi=p("AutoModel"),_i=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),$i=h(),Xn=r("p"),vi=p("Common attributes:"),ki=h(),te=r("ul"),io=r("li"),wi=p("model ("),Wn=r("code"),xi=p("ort.InferenceSession"),bi=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Ti=h(),lo=r("li"),Mi=p("config ("),po=r("a"),Oi=p("PretrainedConfig"),yi=p(" \u2014 The configuration of the model."),qi=h(),oe=r("li"),ji=p("use_io_binding ("),Un=r("code"),Ei=p("bool"),Ri=p(", "),Qn=r("em"),Fi=p("optional"),Ci=p(", defaults to "),Vn=r("code"),Si=p("True"),zi=p(") \u2014 Whether to use I/O bindings with "),Hn=r("strong"),Pi=p(`ONNX Runtime
with the CUDAExecutionProvider`),Ai=p(", this can significantly speedup inference depending on the task."),Ni=h(),mo=r("li"),Ii=p("model_save_dir ("),Bn=r("code"),Di=p("Path"),Li=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Xi=h(),Gn=r("li"),Wi=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Ui=h(),ot=r("div"),w(co.$$.fragment),Qi=h(),Jn=r("p"),Vi=p("Instantiate a pretrained model from a pre-trained model configuration."),Hi=h(),nt=r("div"),w(uo.$$.fragment),Bi=h(),ho=r("p"),Gi=p("Loads an ONNX Inference session with a given provider. Default provider is "),Yn=r("code"),Ji=p("CPUExecutionProvider"),Yi=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Ki=h(),st=r("div"),w(fo.$$.fragment),Zi=h(),Kn=r("p"),el=p("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),tl=h(),rt=r("div"),w(go.$$.fragment),ol=h(),Zn=r("p"),nl=p("Changes the ONNX Runtime provider according to the device."),Vr=h(),Ce=r("h2"),at=r("a"),es=r("span"),w(_o.$$.fragment),sl=h(),ts=r("span"),rl=p("ORTModelForCausalLM"),Hr=h(),ge=r("div"),w($o.$$.fragment),al=h(),os=r("p"),il=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),ll=h(),V=r("div"),w(vo.$$.fragment),pl=h(),Se=r("p"),ml=p("The "),ns=r("code"),dl=p("ORTModelForCausalLM"),cl=p(" forward method, overrides the "),ss=r("code"),ul=p("__call__"),hl=p(" special method."),fl=h(),w(it.$$.fragment),gl=h(),w(lt.$$.fragment),_l=h(),w(pt.$$.fragment),Br=h(),ze=r("h2"),mt=r("a"),rs=r("span"),w(ko.$$.fragment),$l=h(),as=r("span"),vl=p("ORTModelForCustomTasks"),Gr=h(),U=r("div"),w(wo.$$.fragment),kl=h(),is=r("p"),wl=p("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),xl=h(),xo=r("p"),bl=p("This model inherits from [~"),ls=r("code"),Tl=p("onnxruntime.modeling_ort.ORTModel"),Ml=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ol=h(),ps=r("p"),yl=p("Model for any custom tasks if the ONNX model is stored in a single file."),ql=h(),H=r("div"),w(bo.$$.fragment),jl=h(),Pe=r("p"),El=p("The "),ms=r("code"),Rl=p("ORTModelForCustomTasks"),Fl=p(" forward method, overrides the "),ds=r("code"),Cl=p("__call__"),Sl=p(" special method."),zl=h(),w(dt.$$.fragment),Pl=h(),w(ct.$$.fragment),Al=h(),w(ut.$$.fragment),Jr=h(),Ae=r("h2"),ht=r("a"),cs=r("span"),w(To.$$.fragment),Nl=h(),us=r("span"),Il=p("ORTModelForFeatureExtraction"),Yr=h(),A=r("div"),w(Mo.$$.fragment),Dl=h(),hs=r("p"),Ll=p("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Xl=h(),Oo=r("p"),Wl=p("This model inherits from [~"),fs=r("code"),Ul=p("onnxruntime.modeling_ort.ORTModel"),Ql=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Vl=h(),gs=r("p"),Hl=p("Feature Extraction model for ONNX."),Bl=h(),B=r("div"),w(yo.$$.fragment),Gl=h(),Ne=r("p"),Jl=p("The "),_s=r("code"),Yl=p("ORTModelForFeatureExtraction"),Kl=p(" forward method, overrides the "),$s=r("code"),Zl=p("__call__"),ep=p(" special method."),tp=h(),w(ft.$$.fragment),op=h(),w(gt.$$.fragment),np=h(),w(_t.$$.fragment),sp=h(),$t=r("div"),w(qo.$$.fragment),rp=h(),vs=r("p"),ap=p("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Kr=h(),Ie=r("h2"),vt=r("a"),ks=r("span"),w(jo.$$.fragment),ip=h(),ws=r("span"),lp=p("ORTModelForImageClassification"),Zr=h(),N=r("div"),w(Eo.$$.fragment),pp=h(),xs=r("p"),mp=p("Onnx Model for image-classification tasks."),dp=h(),Ro=r("p"),cp=p("This model inherits from [~"),bs=r("code"),up=p("onnxruntime.modeling_ort.ORTModel"),hp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),fp=h(),Ts=r("p"),gp=p("Image Classification model for ONNX."),_p=h(),G=r("div"),w(Fo.$$.fragment),$p=h(),De=r("p"),vp=p("The "),Ms=r("code"),kp=p("ORTModelForImageClassification"),wp=p(" forward method, overrides the "),Os=r("code"),xp=p("__call__"),bp=p(" special method."),Tp=h(),w(kt.$$.fragment),Mp=h(),w(wt.$$.fragment),Op=h(),w(xt.$$.fragment),yp=h(),bt=r("div"),w(Co.$$.fragment),qp=h(),ys=r("p"),jp=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),ea=h(),Le=r("h2"),Tt=r("a"),qs=r("span"),w(So.$$.fragment),Ep=h(),js=r("span"),Rp=p("ORTModelForMultipleChoice"),ta=h(),I=r("div"),w(zo.$$.fragment),Fp=h(),Es=r("p"),Cp=p(`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Sp=h(),Po=r("p"),zp=p("This model inherits from [~"),Rs=r("code"),Pp=p("onnxruntime.modeling_ort.ORTModel"),Ap=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Np=h(),Fs=r("p"),Ip=p("Multiple choice model for ONNX."),Dp=h(),ae=r("div"),w(Ao.$$.fragment),Lp=h(),Xe=r("p"),Xp=p("The "),Cs=r("code"),Wp=p("ORTModelForMultipleChoice"),Up=p(" forward method, overrides the "),Ss=r("code"),Qp=p("__call__"),Vp=p(" special method."),Hp=h(),w(Mt.$$.fragment),Bp=h(),w(Ot.$$.fragment),Gp=h(),yt=r("div"),w(No.$$.fragment),Jp=h(),zs=r("p"),Yp=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, num_choices)."),oa=h(),We=r("h2"),qt=r("a"),Ps=r("span"),w(Io.$$.fragment),Kp=h(),As=r("span"),Zp=p("ORTModelForQuestionAnswering"),na=h(),D=r("div"),w(Do.$$.fragment),em=h(),Ns=r("p"),tm=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),om=h(),Lo=r("p"),nm=p("This model inherits from [~"),Is=r("code"),sm=p("onnxruntime.modeling_ort.ORTModel"),rm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),am=h(),Ds=r("p"),im=p("Question Answering model for ONNX."),lm=h(),J=r("div"),w(Xo.$$.fragment),pm=h(),Ue=r("p"),mm=p("The "),Ls=r("code"),dm=p("ORTModelForQuestionAnswering"),cm=p(" forward method, overrides the "),Xs=r("code"),um=p("__call__"),hm=p(" special method."),fm=h(),w(jt.$$.fragment),gm=h(),w(Et.$$.fragment),_m=h(),w(Rt.$$.fragment),$m=h(),Ft=r("div"),w(Wo.$$.fragment),vm=h(),Ws=r("p"),km=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),sa=h(),Qe=r("h2"),Ct=r("a"),Us=r("span"),w(Uo.$$.fragment),wm=h(),Qs=r("span"),xm=p("ORTModelForSemanticSegmentation"),ra=h(),Q=r("div"),w(Qo.$$.fragment),bm=h(),Vs=r("p"),Tm=p("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Mm=h(),Vo=r("p"),Om=p("This model inherits from [~"),Hs=r("code"),ym=p("onnxruntime.modeling_ort.ORTModel"),qm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),jm=h(),Bs=r("p"),Em=p("Semantic Segmentation model for ONNX."),Rm=h(),Y=r("div"),w(Ho.$$.fragment),Fm=h(),Ve=r("p"),Cm=p("The "),Gs=r("code"),Sm=p("ORTModelForSemanticSegmentation"),zm=p(" forward method, overrides the "),Js=r("code"),Pm=p("__call__"),Am=p(" special method."),Nm=h(),w(St.$$.fragment),Im=h(),w(zt.$$.fragment),Dm=h(),w(Pt.$$.fragment),aa=h(),He=r("h2"),At=r("a"),Ys=r("span"),w(Bo.$$.fragment),Lm=h(),Ks=r("span"),Xm=p("ORTModelForSeq2SeqLM"),ia=h(),_e=r("div"),w(Go.$$.fragment),Wm=h(),Zs=r("p"),Um=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Qm=h(),K=r("div"),w(Jo.$$.fragment),Vm=h(),Be=r("p"),Hm=p("The "),er=r("code"),Bm=p("ORTModelForSeq2SeqLM"),Gm=p(" forward method, overrides the "),tr=r("code"),Jm=p("__call__"),Ym=p(" special method."),Km=h(),w(Nt.$$.fragment),Zm=h(),w(It.$$.fragment),ed=h(),w(Dt.$$.fragment),la=h(),Ge=r("h2"),Lt=r("a"),or=r("span"),w(Yo.$$.fragment),td=h(),nr=r("span"),od=p("ORTModelForSequenceClassification"),pa=h(),L=r("div"),w(Ko.$$.fragment),nd=h(),sr=r("p"),sd=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),rd=h(),Zo=r("p"),ad=p("This model inherits from [~"),rr=r("code"),id=p("onnxruntime.modeling_ort.ORTModel"),ld=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),pd=h(),ar=r("p"),md=p("Sequence Classification model for ONNX."),dd=h(),W=r("div"),w(en.$$.fragment),cd=h(),Je=r("p"),ud=p("The "),ir=r("code"),hd=p("ORTModelForSequenceClassification"),fd=p(" forward method, overrides the "),lr=r("code"),gd=p("__call__"),_d=p(" special method."),$d=h(),w(Xt.$$.fragment),vd=h(),w(Wt.$$.fragment),kd=h(),w(Ut.$$.fragment),wd=h(),w(Qt.$$.fragment),xd=h(),Vt=r("div"),w(tn.$$.fragment),bd=h(),pr=r("p"),Td=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),ma=h(),Ye=r("h2"),Ht=r("a"),mr=r("span"),w(on.$$.fragment),Md=h(),dr=r("span"),Od=p("ORTModelForSpeechSeq2Seq"),da=h(),$e=r("div"),w(nn.$$.fragment),yd=h(),cr=r("p"),qd=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),jd=h(),Z=r("div"),w(sn.$$.fragment),Ed=h(),Ke=r("p"),Rd=p("The "),ur=r("code"),Fd=p("ORTModelForSpeechSeq2Seq"),Cd=p(" forward method, overrides the "),hr=r("code"),Sd=p("__call__"),zd=p(" special method."),Pd=h(),w(Bt.$$.fragment),Ad=h(),w(Gt.$$.fragment),Nd=h(),w(Jt.$$.fragment),ca=h(),Ze=r("h2"),Yt=r("a"),fr=r("span"),w(rn.$$.fragment),Id=h(),gr=r("span"),Dd=p("ORTModelForTokenClassification"),ua=h(),X=r("div"),w(an.$$.fragment),Ld=h(),_r=r("p"),Xd=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Wd=h(),ln=r("p"),Ud=p("This model inherits from [~"),$r=r("code"),Qd=p("onnxruntime.modeling_ort.ORTModel"),Vd=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Hd=h(),vr=r("p"),Bd=p("Token Classification model for ONNX."),Gd=h(),ee=r("div"),w(pn.$$.fragment),Jd=h(),et=r("p"),Yd=p("The "),kr=r("code"),Kd=p("ORTModelForTokenClassification"),Zd=p(" forward method, overrides the "),wr=r("code"),ec=p("__call__"),tc=p(" special method."),oc=h(),w(Kt.$$.fragment),nc=h(),w(Zt.$$.fragment),sc=h(),w(eo.$$.fragment),rc=h(),to=r("div"),w(mn.$$.fragment),ac=h(),xr=r("p"),ic=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),this.h()},l(o){const $=Yu('[data-svelte="svelte-1phssyn"]',document.head);s=a($,"META",{name:!0,content:!0}),$.forEach(t),_=f(o),d=a(o,"H1",{class:!0});var dn=i(d);u=a(dn,"A",{id:!0,class:!0,href:!0});var br=i(u);g=a(br,"SPAN",{});var Tr=i(g);x(n.$$.fragment,Tr),Tr.forEach(t),br.forEach(t),l=f(dn),y=a(dn,"SPAN",{});var Mr=i(y);c=m(Mr,"Models"),Mr.forEach(t),dn.forEach(t),v=f(o),E=a(o,"H2",{class:!0});var cn=i(E);tt=a(cn,"A",{id:!0,class:!0,href:!0});var Or=i(tt);Rn=a(Or,"SPAN",{});var yr=i(Rn);x(no.$$.fragment,yr),yr.forEach(t),Or.forEach(t),Va=f(cn),Fn=a(cn,"SPAN",{});var qr=i(Fn);Ha=m(qr,"ORTModel"),qr.forEach(t),cn.forEach(t),Qr=f(o),F=a(o,"DIV",{class:!0});var C=i(F);x(so.$$.fragment,C),Ba=f(C),Cn=a(C,"P",{});var jr=i(Cn);Ga=m(jr,"Base class for implementing models using ONNX Runtime."),jr.forEach(t),Ja=f(C),ro=a(C,"P",{});var un=i(ro);Ya=m(un,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Sn=a(un,"CODE",{});var Er=i(Sn);Ka=m(Er,"optimum.exporters.onnx"),Er.forEach(t),Za=m(un," toolchain."),un.forEach(t),ei=f(C),zn=a(C,"P",{});var Rr=i(zn);ti=m(Rr,"Class attributes:"),Rr.forEach(t),oi=f(C),ao=a(C,"UL",{});var hn=i(ao);he=a(hn,"LI",{});var ve=i(he);ni=m(ve,"model_type ("),Pn=a(ve,"CODE",{});var Fr=i(Pn);si=m(Fr,"str"),Fr.forEach(t),ri=m(ve,", "),An=a(ve,"EM",{});var Cr=i(An);ai=m(Cr,"optional"),Cr.forEach(t),ii=m(ve,", defaults to "),Nn=a(ve,"CODE",{});var Sr=i(Nn);li=m(Sr,'"onnx_model"'),Sr.forEach(t),pi=m(ve,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),ve.forEach(t),mi=f(hn),fe=a(hn,"LI",{});var ke=i(fe);di=m(ke,"auto_model_class ("),In=a(ke,"CODE",{});var zr=i(In);ci=m(zr,"Type"),zr.forEach(t),ui=m(ke,", "),Dn=a(ke,"EM",{});var Pr=i(Dn);hi=m(Pr,"optional"),Pr.forEach(t),fi=m(ke,", defaults to "),Ln=a(ke,"CODE",{});var Ar=i(Ln);gi=m(Ar,"AutoModel"),Ar.forEach(t),_i=m(ke,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ke.forEach(t),hn.forEach(t),$i=f(C),Xn=a(C,"P",{});var Nr=i(Xn);vi=m(Nr,"Common attributes:"),Nr.forEach(t),ki=f(C),te=a(C,"UL",{});var ne=i(te);io=a(ne,"LI",{});var fn=i(io);wi=m(fn,"model ("),Wn=a(fn,"CODE",{});var Ir=i(Wn);xi=m(Ir,"ort.InferenceSession"),Ir.forEach(t),bi=m(fn,") \u2014 The ONNX Runtime InferenceSession that is running the model."),fn.forEach(t),Ti=f(ne),lo=a(ne,"LI",{});var gn=i(lo);Mi=m(gn,"config ("),po=a(gn,"A",{href:!0,rel:!0});var Dr=i(po);Oi=m(Dr,"PretrainedConfig"),Dr.forEach(t),yi=m(gn," \u2014 The configuration of the model."),gn.forEach(t),qi=f(ne),oe=a(ne,"LI",{});var se=i(oe);ji=m(se,"use_io_binding ("),Un=a(se,"CODE",{});var Lr=i(Un);Ei=m(Lr,"bool"),Lr.forEach(t),Ri=m(se,", "),Qn=a(se,"EM",{});var Xr=i(Qn);Fi=m(Xr,"optional"),Xr.forEach(t),Ci=m(se,", defaults to "),Vn=a(se,"CODE",{});var Wr=i(Vn);Si=m(Wr,"True"),Wr.forEach(t),zi=m(se,") \u2014 Whether to use I/O bindings with "),Hn=a(se,"STRONG",{});var Ur=i(Hn);Pi=m(Ur,`ONNX Runtime
with the CUDAExecutionProvider`),Ur.forEach(t),Ai=m(se,", this can significantly speedup inference depending on the task."),se.forEach(t),Ni=f(ne),mo=a(ne,"LI",{});var fa=i(mo);Ii=m(fa,"model_save_dir ("),Bn=a(fa,"CODE",{});var lc=i(Bn);Di=m(lc,"Path"),lc.forEach(t),Li=m(fa,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),fa.forEach(t),Xi=f(ne),Gn=a(ne,"LI",{});var pc=i(Gn);Wi=m(pc,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),pc.forEach(t),ne.forEach(t),Ui=f(C),ot=a(C,"DIV",{class:!0});var ga=i(ot);x(co.$$.fragment,ga),Qi=f(ga),Jn=a(ga,"P",{});var mc=i(Jn);Vi=m(mc,"Instantiate a pretrained model from a pre-trained model configuration."),mc.forEach(t),ga.forEach(t),Hi=f(C),nt=a(C,"DIV",{class:!0});var _a=i(nt);x(uo.$$.fragment,_a),Bi=f(_a),ho=a(_a,"P",{});var $a=i(ho);Gi=m($a,"Loads an ONNX Inference session with a given provider. Default provider is "),Yn=a($a,"CODE",{});var dc=i(Yn);Ji=m(dc,"CPUExecutionProvider"),dc.forEach(t),Yi=m($a,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),$a.forEach(t),_a.forEach(t),Ki=f(C),st=a(C,"DIV",{class:!0});var va=i(st);x(fo.$$.fragment,va),Zi=f(va),Kn=a(va,"P",{});var cc=i(Kn);el=m(cc,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),cc.forEach(t),va.forEach(t),tl=f(C),rt=a(C,"DIV",{class:!0});var ka=i(rt);x(go.$$.fragment,ka),ol=f(ka),Zn=a(ka,"P",{});var uc=i(Zn);nl=m(uc,"Changes the ONNX Runtime provider according to the device."),uc.forEach(t),ka.forEach(t),C.forEach(t),Vr=f(o),Ce=a(o,"H2",{class:!0});var wa=i(Ce);at=a(wa,"A",{id:!0,class:!0,href:!0});var hc=i(at);es=a(hc,"SPAN",{});var fc=i(es);x(_o.$$.fragment,fc),fc.forEach(t),hc.forEach(t),sl=f(wa),ts=a(wa,"SPAN",{});var gc=i(ts);rl=m(gc,"ORTModelForCausalLM"),gc.forEach(t),wa.forEach(t),Hr=f(o),ge=a(o,"DIV",{class:!0});var _n=i(ge);x($o.$$.fragment,_n),al=f(_n),os=a(_n,"P",{});var _c=i(os);il=m(_c,"ONNX model with a causal language modeling head for ONNX Runtime inference."),_c.forEach(t),ll=f(_n),V=a(_n,"DIV",{class:!0});var xe=i(V);x(vo.$$.fragment,xe),pl=f(xe),Se=a(xe,"P",{});var $n=i(Se);ml=m($n,"The "),ns=a($n,"CODE",{});var $c=i(ns);dl=m($c,"ORTModelForCausalLM"),$c.forEach(t),cl=m($n," forward method, overrides the "),ss=a($n,"CODE",{});var vc=i(ss);ul=m(vc,"__call__"),vc.forEach(t),hl=m($n," special method."),$n.forEach(t),fl=f(xe),x(it.$$.fragment,xe),gl=f(xe),x(lt.$$.fragment,xe),_l=f(xe),x(pt.$$.fragment,xe),xe.forEach(t),_n.forEach(t),Br=f(o),ze=a(o,"H2",{class:!0});var xa=i(ze);mt=a(xa,"A",{id:!0,class:!0,href:!0});var kc=i(mt);rs=a(kc,"SPAN",{});var wc=i(rs);x(ko.$$.fragment,wc),wc.forEach(t),kc.forEach(t),$l=f(xa),as=a(xa,"SPAN",{});var xc=i(as);vl=m(xc,"ORTModelForCustomTasks"),xc.forEach(t),xa.forEach(t),Gr=f(o),U=a(o,"DIV",{class:!0});var be=i(U);x(wo.$$.fragment,be),kl=f(be),is=a(be,"P",{});var bc=i(is);wl=m(bc,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),bc.forEach(t),xl=f(be),xo=a(be,"P",{});var ba=i(xo);bl=m(ba,"This model inherits from [~"),ls=a(ba,"CODE",{});var Tc=i(ls);Tl=m(Tc,"onnxruntime.modeling_ort.ORTModel"),Tc.forEach(t),Ml=m(ba,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ba.forEach(t),Ol=f(be),ps=a(be,"P",{});var Mc=i(ps);yl=m(Mc,"Model for any custom tasks if the ONNX model is stored in a single file."),Mc.forEach(t),ql=f(be),H=a(be,"DIV",{class:!0});var Te=i(H);x(bo.$$.fragment,Te),jl=f(Te),Pe=a(Te,"P",{});var vn=i(Pe);El=m(vn,"The "),ms=a(vn,"CODE",{});var Oc=i(ms);Rl=m(Oc,"ORTModelForCustomTasks"),Oc.forEach(t),Fl=m(vn," forward method, overrides the "),ds=a(vn,"CODE",{});var yc=i(ds);Cl=m(yc,"__call__"),yc.forEach(t),Sl=m(vn," special method."),vn.forEach(t),zl=f(Te),x(dt.$$.fragment,Te),Pl=f(Te),x(ct.$$.fragment,Te),Al=f(Te),x(ut.$$.fragment,Te),Te.forEach(t),be.forEach(t),Jr=f(o),Ae=a(o,"H2",{class:!0});var Ta=i(Ae);ht=a(Ta,"A",{id:!0,class:!0,href:!0});var qc=i(ht);cs=a(qc,"SPAN",{});var jc=i(cs);x(To.$$.fragment,jc),jc.forEach(t),qc.forEach(t),Nl=f(Ta),us=a(Ta,"SPAN",{});var Ec=i(us);Il=m(Ec,"ORTModelForFeatureExtraction"),Ec.forEach(t),Ta.forEach(t),Yr=f(o),A=a(o,"DIV",{class:!0});var ie=i(A);x(Mo.$$.fragment,ie),Dl=f(ie),hs=a(ie,"P",{});var Rc=i(hs);Ll=m(Rc,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Rc.forEach(t),Xl=f(ie),Oo=a(ie,"P",{});var Ma=i(Oo);Wl=m(Ma,"This model inherits from [~"),fs=a(Ma,"CODE",{});var Fc=i(fs);Ul=m(Fc,"onnxruntime.modeling_ort.ORTModel"),Fc.forEach(t),Ql=m(Ma,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ma.forEach(t),Vl=f(ie),gs=a(ie,"P",{});var Cc=i(gs);Hl=m(Cc,"Feature Extraction model for ONNX."),Cc.forEach(t),Bl=f(ie),B=a(ie,"DIV",{class:!0});var Me=i(B);x(yo.$$.fragment,Me),Gl=f(Me),Ne=a(Me,"P",{});var kn=i(Ne);Jl=m(kn,"The "),_s=a(kn,"CODE",{});var Sc=i(_s);Yl=m(Sc,"ORTModelForFeatureExtraction"),Sc.forEach(t),Kl=m(kn," forward method, overrides the "),$s=a(kn,"CODE",{});var zc=i($s);Zl=m(zc,"__call__"),zc.forEach(t),ep=m(kn," special method."),kn.forEach(t),tp=f(Me),x(ft.$$.fragment,Me),op=f(Me),x(gt.$$.fragment,Me),np=f(Me),x(_t.$$.fragment,Me),Me.forEach(t),sp=f(ie),$t=a(ie,"DIV",{class:!0});var Oa=i($t);x(qo.$$.fragment,Oa),rp=f(Oa),vs=a(Oa,"P",{});var Pc=i(vs);ap=m(Pc,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Pc.forEach(t),Oa.forEach(t),ie.forEach(t),Kr=f(o),Ie=a(o,"H2",{class:!0});var ya=i(Ie);vt=a(ya,"A",{id:!0,class:!0,href:!0});var Ac=i(vt);ks=a(Ac,"SPAN",{});var Nc=i(ks);x(jo.$$.fragment,Nc),Nc.forEach(t),Ac.forEach(t),ip=f(ya),ws=a(ya,"SPAN",{});var Ic=i(ws);lp=m(Ic,"ORTModelForImageClassification"),Ic.forEach(t),ya.forEach(t),Zr=f(o),N=a(o,"DIV",{class:!0});var le=i(N);x(Eo.$$.fragment,le),pp=f(le),xs=a(le,"P",{});var Dc=i(xs);mp=m(Dc,"Onnx Model for image-classification tasks."),Dc.forEach(t),dp=f(le),Ro=a(le,"P",{});var qa=i(Ro);cp=m(qa,"This model inherits from [~"),bs=a(qa,"CODE",{});var Lc=i(bs);up=m(Lc,"onnxruntime.modeling_ort.ORTModel"),Lc.forEach(t),hp=m(qa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),qa.forEach(t),fp=f(le),Ts=a(le,"P",{});var Xc=i(Ts);gp=m(Xc,"Image Classification model for ONNX."),Xc.forEach(t),_p=f(le),G=a(le,"DIV",{class:!0});var Oe=i(G);x(Fo.$$.fragment,Oe),$p=f(Oe),De=a(Oe,"P",{});var wn=i(De);vp=m(wn,"The "),Ms=a(wn,"CODE",{});var Wc=i(Ms);kp=m(Wc,"ORTModelForImageClassification"),Wc.forEach(t),wp=m(wn," forward method, overrides the "),Os=a(wn,"CODE",{});var Uc=i(Os);xp=m(Uc,"__call__"),Uc.forEach(t),bp=m(wn," special method."),wn.forEach(t),Tp=f(Oe),x(kt.$$.fragment,Oe),Mp=f(Oe),x(wt.$$.fragment,Oe),Op=f(Oe),x(xt.$$.fragment,Oe),Oe.forEach(t),yp=f(le),bt=a(le,"DIV",{class:!0});var ja=i(bt);x(Co.$$.fragment,ja),qp=f(ja),ys=a(ja,"P",{});var Qc=i(ys);jp=m(Qc,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Qc.forEach(t),ja.forEach(t),le.forEach(t),ea=f(o),Le=a(o,"H2",{class:!0});var Ea=i(Le);Tt=a(Ea,"A",{id:!0,class:!0,href:!0});var Vc=i(Tt);qs=a(Vc,"SPAN",{});var Hc=i(qs);x(So.$$.fragment,Hc),Hc.forEach(t),Vc.forEach(t),Ep=f(Ea),js=a(Ea,"SPAN",{});var Bc=i(js);Rp=m(Bc,"ORTModelForMultipleChoice"),Bc.forEach(t),Ea.forEach(t),ta=f(o),I=a(o,"DIV",{class:!0});var pe=i(I);x(zo.$$.fragment,pe),Fp=f(pe),Es=a(pe,"P",{});var Gc=i(Es);Cp=m(Gc,`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Gc.forEach(t),Sp=f(pe),Po=a(pe,"P",{});var Ra=i(Po);zp=m(Ra,"This model inherits from [~"),Rs=a(Ra,"CODE",{});var Jc=i(Rs);Pp=m(Jc,"onnxruntime.modeling_ort.ORTModel"),Jc.forEach(t),Ap=m(Ra,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ra.forEach(t),Np=f(pe),Fs=a(pe,"P",{});var Yc=i(Fs);Ip=m(Yc,"Multiple choice model for ONNX."),Yc.forEach(t),Dp=f(pe),ae=a(pe,"DIV",{class:!0});var oo=i(ae);x(Ao.$$.fragment,oo),Lp=f(oo),Xe=a(oo,"P",{});var xn=i(Xe);Xp=m(xn,"The "),Cs=a(xn,"CODE",{});var Kc=i(Cs);Wp=m(Kc,"ORTModelForMultipleChoice"),Kc.forEach(t),Up=m(xn," forward method, overrides the "),Ss=a(xn,"CODE",{});var Zc=i(Ss);Qp=m(Zc,"__call__"),Zc.forEach(t),Vp=m(xn," special method."),xn.forEach(t),Hp=f(oo),x(Mt.$$.fragment,oo),Bp=f(oo),x(Ot.$$.fragment,oo),oo.forEach(t),Gp=f(pe),yt=a(pe,"DIV",{class:!0});var Fa=i(yt);x(No.$$.fragment,Fa),Jp=f(Fa),zs=a(Fa,"P",{});var eu=i(zs);Yp=m(eu,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, num_choices)."),eu.forEach(t),Fa.forEach(t),pe.forEach(t),oa=f(o),We=a(o,"H2",{class:!0});var Ca=i(We);qt=a(Ca,"A",{id:!0,class:!0,href:!0});var tu=i(qt);Ps=a(tu,"SPAN",{});var ou=i(Ps);x(Io.$$.fragment,ou),ou.forEach(t),tu.forEach(t),Kp=f(Ca),As=a(Ca,"SPAN",{});var nu=i(As);Zp=m(nu,"ORTModelForQuestionAnswering"),nu.forEach(t),Ca.forEach(t),na=f(o),D=a(o,"DIV",{class:!0});var me=i(D);x(Do.$$.fragment,me),em=f(me),Ns=a(me,"P",{});var su=i(Ns);tm=m(su,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),su.forEach(t),om=f(me),Lo=a(me,"P",{});var Sa=i(Lo);nm=m(Sa,"This model inherits from [~"),Is=a(Sa,"CODE",{});var ru=i(Is);sm=m(ru,"onnxruntime.modeling_ort.ORTModel"),ru.forEach(t),rm=m(Sa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Sa.forEach(t),am=f(me),Ds=a(me,"P",{});var au=i(Ds);im=m(au,"Question Answering model for ONNX."),au.forEach(t),lm=f(me),J=a(me,"DIV",{class:!0});var ye=i(J);x(Xo.$$.fragment,ye),pm=f(ye),Ue=a(ye,"P",{});var bn=i(Ue);mm=m(bn,"The "),Ls=a(bn,"CODE",{});var iu=i(Ls);dm=m(iu,"ORTModelForQuestionAnswering"),iu.forEach(t),cm=m(bn," forward method, overrides the "),Xs=a(bn,"CODE",{});var lu=i(Xs);um=m(lu,"__call__"),lu.forEach(t),hm=m(bn," special method."),bn.forEach(t),fm=f(ye),x(jt.$$.fragment,ye),gm=f(ye),x(Et.$$.fragment,ye),_m=f(ye),x(Rt.$$.fragment,ye),ye.forEach(t),$m=f(me),Ft=a(me,"DIV",{class:!0});var za=i(Ft);x(Wo.$$.fragment,za),vm=f(za),Ws=a(za,"P",{});var pu=i(Ws);km=m(pu,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),pu.forEach(t),za.forEach(t),me.forEach(t),sa=f(o),Qe=a(o,"H2",{class:!0});var Pa=i(Qe);Ct=a(Pa,"A",{id:!0,class:!0,href:!0});var mu=i(Ct);Us=a(mu,"SPAN",{});var du=i(Us);x(Uo.$$.fragment,du),du.forEach(t),mu.forEach(t),wm=f(Pa),Qs=a(Pa,"SPAN",{});var cu=i(Qs);xm=m(cu,"ORTModelForSemanticSegmentation"),cu.forEach(t),Pa.forEach(t),ra=f(o),Q=a(o,"DIV",{class:!0});var qe=i(Q);x(Qo.$$.fragment,qe),bm=f(qe),Vs=a(qe,"P",{});var uu=i(Vs);Tm=m(uu,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),uu.forEach(t),Mm=f(qe),Vo=a(qe,"P",{});var Aa=i(Vo);Om=m(Aa,"This model inherits from [~"),Hs=a(Aa,"CODE",{});var hu=i(Hs);ym=m(hu,"onnxruntime.modeling_ort.ORTModel"),hu.forEach(t),qm=m(Aa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Aa.forEach(t),jm=f(qe),Bs=a(qe,"P",{});var fu=i(Bs);Em=m(fu,"Semantic Segmentation model for ONNX."),fu.forEach(t),Rm=f(qe),Y=a(qe,"DIV",{class:!0});var je=i(Y);x(Ho.$$.fragment,je),Fm=f(je),Ve=a(je,"P",{});var Tn=i(Ve);Cm=m(Tn,"The "),Gs=a(Tn,"CODE",{});var gu=i(Gs);Sm=m(gu,"ORTModelForSemanticSegmentation"),gu.forEach(t),zm=m(Tn," forward method, overrides the "),Js=a(Tn,"CODE",{});var _u=i(Js);Pm=m(_u,"__call__"),_u.forEach(t),Am=m(Tn," special method."),Tn.forEach(t),Nm=f(je),x(St.$$.fragment,je),Im=f(je),x(zt.$$.fragment,je),Dm=f(je),x(Pt.$$.fragment,je),je.forEach(t),qe.forEach(t),aa=f(o),He=a(o,"H2",{class:!0});var Na=i(He);At=a(Na,"A",{id:!0,class:!0,href:!0});var $u=i(At);Ys=a($u,"SPAN",{});var vu=i(Ys);x(Bo.$$.fragment,vu),vu.forEach(t),$u.forEach(t),Lm=f(Na),Ks=a(Na,"SPAN",{});var ku=i(Ks);Xm=m(ku,"ORTModelForSeq2SeqLM"),ku.forEach(t),Na.forEach(t),ia=f(o),_e=a(o,"DIV",{class:!0});var Mn=i(_e);x(Go.$$.fragment,Mn),Wm=f(Mn),Zs=a(Mn,"P",{});var wu=i(Zs);Um=m(wu,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),wu.forEach(t),Qm=f(Mn),K=a(Mn,"DIV",{class:!0});var Ee=i(K);x(Jo.$$.fragment,Ee),Vm=f(Ee),Be=a(Ee,"P",{});var On=i(Be);Hm=m(On,"The "),er=a(On,"CODE",{});var xu=i(er);Bm=m(xu,"ORTModelForSeq2SeqLM"),xu.forEach(t),Gm=m(On," forward method, overrides the "),tr=a(On,"CODE",{});var bu=i(tr);Jm=m(bu,"__call__"),bu.forEach(t),Ym=m(On," special method."),On.forEach(t),Km=f(Ee),x(Nt.$$.fragment,Ee),Zm=f(Ee),x(It.$$.fragment,Ee),ed=f(Ee),x(Dt.$$.fragment,Ee),Ee.forEach(t),Mn.forEach(t),la=f(o),Ge=a(o,"H2",{class:!0});var Ia=i(Ge);Lt=a(Ia,"A",{id:!0,class:!0,href:!0});var Tu=i(Lt);or=a(Tu,"SPAN",{});var Mu=i(or);x(Yo.$$.fragment,Mu),Mu.forEach(t),Tu.forEach(t),td=f(Ia),nr=a(Ia,"SPAN",{});var Ou=i(nr);od=m(Ou,"ORTModelForSequenceClassification"),Ou.forEach(t),Ia.forEach(t),pa=f(o),L=a(o,"DIV",{class:!0});var de=i(L);x(Ko.$$.fragment,de),nd=f(de),sr=a(de,"P",{});var yu=i(sr);sd=m(yu,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),yu.forEach(t),rd=f(de),Zo=a(de,"P",{});var Da=i(Zo);ad=m(Da,"This model inherits from [~"),rr=a(Da,"CODE",{});var qu=i(rr);id=m(qu,"onnxruntime.modeling_ort.ORTModel"),qu.forEach(t),ld=m(Da,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Da.forEach(t),pd=f(de),ar=a(de,"P",{});var ju=i(ar);md=m(ju,"Sequence Classification model for ONNX."),ju.forEach(t),dd=f(de),W=a(de,"DIV",{class:!0});var ce=i(W);x(en.$$.fragment,ce),cd=f(ce),Je=a(ce,"P",{});var yn=i(Je);ud=m(yn,"The "),ir=a(yn,"CODE",{});var Eu=i(ir);hd=m(Eu,"ORTModelForSequenceClassification"),Eu.forEach(t),fd=m(yn," forward method, overrides the "),lr=a(yn,"CODE",{});var Ru=i(lr);gd=m(Ru,"__call__"),Ru.forEach(t),_d=m(yn," special method."),yn.forEach(t),$d=f(ce),x(Xt.$$.fragment,ce),vd=f(ce),x(Wt.$$.fragment,ce),kd=f(ce),x(Ut.$$.fragment,ce),wd=f(ce),x(Qt.$$.fragment,ce),ce.forEach(t),xd=f(de),Vt=a(de,"DIV",{class:!0});var La=i(Vt);x(tn.$$.fragment,La),bd=f(La),pr=a(La,"P",{});var Fu=i(pr);Td=m(Fu,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Fu.forEach(t),La.forEach(t),de.forEach(t),ma=f(o),Ye=a(o,"H2",{class:!0});var Xa=i(Ye);Ht=a(Xa,"A",{id:!0,class:!0,href:!0});var Cu=i(Ht);mr=a(Cu,"SPAN",{});var Su=i(mr);x(on.$$.fragment,Su),Su.forEach(t),Cu.forEach(t),Md=f(Xa),dr=a(Xa,"SPAN",{});var zu=i(dr);Od=m(zu,"ORTModelForSpeechSeq2Seq"),zu.forEach(t),Xa.forEach(t),da=f(o),$e=a(o,"DIV",{class:!0});var qn=i($e);x(nn.$$.fragment,qn),yd=f(qn),cr=a(qn,"P",{});var Pu=i(cr);qd=m(Pu,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Pu.forEach(t),jd=f(qn),Z=a(qn,"DIV",{class:!0});var Re=i(Z);x(sn.$$.fragment,Re),Ed=f(Re),Ke=a(Re,"P",{});var jn=i(Ke);Rd=m(jn,"The "),ur=a(jn,"CODE",{});var Au=i(ur);Fd=m(Au,"ORTModelForSpeechSeq2Seq"),Au.forEach(t),Cd=m(jn," forward method, overrides the "),hr=a(jn,"CODE",{});var Nu=i(hr);Sd=m(Nu,"__call__"),Nu.forEach(t),zd=m(jn," special method."),jn.forEach(t),Pd=f(Re),x(Bt.$$.fragment,Re),Ad=f(Re),x(Gt.$$.fragment,Re),Nd=f(Re),x(Jt.$$.fragment,Re),Re.forEach(t),qn.forEach(t),ca=f(o),Ze=a(o,"H2",{class:!0});var Wa=i(Ze);Yt=a(Wa,"A",{id:!0,class:!0,href:!0});var Iu=i(Yt);fr=a(Iu,"SPAN",{});var Du=i(fr);x(rn.$$.fragment,Du),Du.forEach(t),Iu.forEach(t),Id=f(Wa),gr=a(Wa,"SPAN",{});var Lu=i(gr);Dd=m(Lu,"ORTModelForTokenClassification"),Lu.forEach(t),Wa.forEach(t),ua=f(o),X=a(o,"DIV",{class:!0});var ue=i(X);x(an.$$.fragment,ue),Ld=f(ue),_r=a(ue,"P",{});var Xu=i(_r);Xd=m(Xu,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Xu.forEach(t),Wd=f(ue),ln=a(ue,"P",{});var Ua=i(ln);Ud=m(Ua,"This model inherits from [~"),$r=a(Ua,"CODE",{});var Wu=i($r);Qd=m(Wu,"onnxruntime.modeling_ort.ORTModel"),Wu.forEach(t),Vd=m(Ua,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ua.forEach(t),Hd=f(ue),vr=a(ue,"P",{});var Uu=i(vr);Bd=m(Uu,"Token Classification model for ONNX."),Uu.forEach(t),Gd=f(ue),ee=a(ue,"DIV",{class:!0});var Fe=i(ee);x(pn.$$.fragment,Fe),Jd=f(Fe),et=a(Fe,"P",{});var En=i(et);Yd=m(En,"The "),kr=a(En,"CODE",{});var Qu=i(kr);Kd=m(Qu,"ORTModelForTokenClassification"),Qu.forEach(t),Zd=m(En," forward method, overrides the "),wr=a(En,"CODE",{});var Vu=i(wr);ec=m(Vu,"__call__"),Vu.forEach(t),tc=m(En," special method."),En.forEach(t),oc=f(Fe),x(Kt.$$.fragment,Fe),nc=f(Fe),x(Zt.$$.fragment,Fe),sc=f(Fe),x(eo.$$.fragment,Fe),Fe.forEach(t),rc=f(ue),to=a(ue,"DIV",{class:!0});var Qa=i(to);x(mn.$$.fragment,Qa),ac=f(Qa),xr=a(Qa,"P",{});var Hu=i(xr);ic=m(Hu,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Hu.forEach(t),Qa.forEach(t),ue.forEach(t),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(Ch)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(d,"class","relative group"),q(tt,"id","optimum.onnxruntime.ORTModel"),q(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(tt,"href","#optimum.onnxruntime.ORTModel"),q(E,"class","relative group"),q(po,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),q(po,"rel","nofollow"),q(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(at,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(at,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(Ce,"class","relative group"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(mt,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(mt,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(ze,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ht,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ht,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ae,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(vt,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(vt,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Ie,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Tt,"id","optimum.onnxruntime.ORTModelForMultipleChoice"),q(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Tt,"href","#optimum.onnxruntime.ORTModelForMultipleChoice"),q(Le,"class","relative group"),q(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(qt,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(qt,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(We,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ct,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ct,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Qe,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(At,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(At,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(At,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(He,"class","relative group"),q(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Lt,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(Lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Lt,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(Ge,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ht,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ht,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Ye,"class","relative group"),q(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Yt,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(Yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Yt,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(Ze,"class","relative group"),q(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(to,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,$){e(document.head,s),k(o,_,$),k(o,d,$),e(d,u),e(u,g),b(n,g,null),e(d,l),e(d,y),e(y,c),k(o,v,$),k(o,E,$),e(E,tt),e(tt,Rn),b(no,Rn,null),e(E,Va),e(E,Fn),e(Fn,Ha),k(o,Qr,$),k(o,F,$),b(so,F,null),e(F,Ba),e(F,Cn),e(Cn,Ga),e(F,Ja),e(F,ro),e(ro,Ya),e(ro,Sn),e(Sn,Ka),e(ro,Za),e(F,ei),e(F,zn),e(zn,ti),e(F,oi),e(F,ao),e(ao,he),e(he,ni),e(he,Pn),e(Pn,si),e(he,ri),e(he,An),e(An,ai),e(he,ii),e(he,Nn),e(Nn,li),e(he,pi),e(ao,mi),e(ao,fe),e(fe,di),e(fe,In),e(In,ci),e(fe,ui),e(fe,Dn),e(Dn,hi),e(fe,fi),e(fe,Ln),e(Ln,gi),e(fe,_i),e(F,$i),e(F,Xn),e(Xn,vi),e(F,ki),e(F,te),e(te,io),e(io,wi),e(io,Wn),e(Wn,xi),e(io,bi),e(te,Ti),e(te,lo),e(lo,Mi),e(lo,po),e(po,Oi),e(lo,yi),e(te,qi),e(te,oe),e(oe,ji),e(oe,Un),e(Un,Ei),e(oe,Ri),e(oe,Qn),e(Qn,Fi),e(oe,Ci),e(oe,Vn),e(Vn,Si),e(oe,zi),e(oe,Hn),e(Hn,Pi),e(oe,Ai),e(te,Ni),e(te,mo),e(mo,Ii),e(mo,Bn),e(Bn,Di),e(mo,Li),e(te,Xi),e(te,Gn),e(Gn,Wi),e(F,Ui),e(F,ot),b(co,ot,null),e(ot,Qi),e(ot,Jn),e(Jn,Vi),e(F,Hi),e(F,nt),b(uo,nt,null),e(nt,Bi),e(nt,ho),e(ho,Gi),e(ho,Yn),e(Yn,Ji),e(ho,Yi),e(F,Ki),e(F,st),b(fo,st,null),e(st,Zi),e(st,Kn),e(Kn,el),e(F,tl),e(F,rt),b(go,rt,null),e(rt,ol),e(rt,Zn),e(Zn,nl),k(o,Vr,$),k(o,Ce,$),e(Ce,at),e(at,es),b(_o,es,null),e(Ce,sl),e(Ce,ts),e(ts,rl),k(o,Hr,$),k(o,ge,$),b($o,ge,null),e(ge,al),e(ge,os),e(os,il),e(ge,ll),e(ge,V),b(vo,V,null),e(V,pl),e(V,Se),e(Se,ml),e(Se,ns),e(ns,dl),e(Se,cl),e(Se,ss),e(ss,ul),e(Se,hl),e(V,fl),b(it,V,null),e(V,gl),b(lt,V,null),e(V,_l),b(pt,V,null),k(o,Br,$),k(o,ze,$),e(ze,mt),e(mt,rs),b(ko,rs,null),e(ze,$l),e(ze,as),e(as,vl),k(o,Gr,$),k(o,U,$),b(wo,U,null),e(U,kl),e(U,is),e(is,wl),e(U,xl),e(U,xo),e(xo,bl),e(xo,ls),e(ls,Tl),e(xo,Ml),e(U,Ol),e(U,ps),e(ps,yl),e(U,ql),e(U,H),b(bo,H,null),e(H,jl),e(H,Pe),e(Pe,El),e(Pe,ms),e(ms,Rl),e(Pe,Fl),e(Pe,ds),e(ds,Cl),e(Pe,Sl),e(H,zl),b(dt,H,null),e(H,Pl),b(ct,H,null),e(H,Al),b(ut,H,null),k(o,Jr,$),k(o,Ae,$),e(Ae,ht),e(ht,cs),b(To,cs,null),e(Ae,Nl),e(Ae,us),e(us,Il),k(o,Yr,$),k(o,A,$),b(Mo,A,null),e(A,Dl),e(A,hs),e(hs,Ll),e(A,Xl),e(A,Oo),e(Oo,Wl),e(Oo,fs),e(fs,Ul),e(Oo,Ql),e(A,Vl),e(A,gs),e(gs,Hl),e(A,Bl),e(A,B),b(yo,B,null),e(B,Gl),e(B,Ne),e(Ne,Jl),e(Ne,_s),e(_s,Yl),e(Ne,Kl),e(Ne,$s),e($s,Zl),e(Ne,ep),e(B,tp),b(ft,B,null),e(B,op),b(gt,B,null),e(B,np),b(_t,B,null),e(A,sp),e(A,$t),b(qo,$t,null),e($t,rp),e($t,vs),e(vs,ap),k(o,Kr,$),k(o,Ie,$),e(Ie,vt),e(vt,ks),b(jo,ks,null),e(Ie,ip),e(Ie,ws),e(ws,lp),k(o,Zr,$),k(o,N,$),b(Eo,N,null),e(N,pp),e(N,xs),e(xs,mp),e(N,dp),e(N,Ro),e(Ro,cp),e(Ro,bs),e(bs,up),e(Ro,hp),e(N,fp),e(N,Ts),e(Ts,gp),e(N,_p),e(N,G),b(Fo,G,null),e(G,$p),e(G,De),e(De,vp),e(De,Ms),e(Ms,kp),e(De,wp),e(De,Os),e(Os,xp),e(De,bp),e(G,Tp),b(kt,G,null),e(G,Mp),b(wt,G,null),e(G,Op),b(xt,G,null),e(N,yp),e(N,bt),b(Co,bt,null),e(bt,qp),e(bt,ys),e(ys,jp),k(o,ea,$),k(o,Le,$),e(Le,Tt),e(Tt,qs),b(So,qs,null),e(Le,Ep),e(Le,js),e(js,Rp),k(o,ta,$),k(o,I,$),b(zo,I,null),e(I,Fp),e(I,Es),e(Es,Cp),e(I,Sp),e(I,Po),e(Po,zp),e(Po,Rs),e(Rs,Pp),e(Po,Ap),e(I,Np),e(I,Fs),e(Fs,Ip),e(I,Dp),e(I,ae),b(Ao,ae,null),e(ae,Lp),e(ae,Xe),e(Xe,Xp),e(Xe,Cs),e(Cs,Wp),e(Xe,Up),e(Xe,Ss),e(Ss,Qp),e(Xe,Vp),e(ae,Hp),b(Mt,ae,null),e(ae,Bp),b(Ot,ae,null),e(I,Gp),e(I,yt),b(No,yt,null),e(yt,Jp),e(yt,zs),e(zs,Yp),k(o,oa,$),k(o,We,$),e(We,qt),e(qt,Ps),b(Io,Ps,null),e(We,Kp),e(We,As),e(As,Zp),k(o,na,$),k(o,D,$),b(Do,D,null),e(D,em),e(D,Ns),e(Ns,tm),e(D,om),e(D,Lo),e(Lo,nm),e(Lo,Is),e(Is,sm),e(Lo,rm),e(D,am),e(D,Ds),e(Ds,im),e(D,lm),e(D,J),b(Xo,J,null),e(J,pm),e(J,Ue),e(Ue,mm),e(Ue,Ls),e(Ls,dm),e(Ue,cm),e(Ue,Xs),e(Xs,um),e(Ue,hm),e(J,fm),b(jt,J,null),e(J,gm),b(Et,J,null),e(J,_m),b(Rt,J,null),e(D,$m),e(D,Ft),b(Wo,Ft,null),e(Ft,vm),e(Ft,Ws),e(Ws,km),k(o,sa,$),k(o,Qe,$),e(Qe,Ct),e(Ct,Us),b(Uo,Us,null),e(Qe,wm),e(Qe,Qs),e(Qs,xm),k(o,ra,$),k(o,Q,$),b(Qo,Q,null),e(Q,bm),e(Q,Vs),e(Vs,Tm),e(Q,Mm),e(Q,Vo),e(Vo,Om),e(Vo,Hs),e(Hs,ym),e(Vo,qm),e(Q,jm),e(Q,Bs),e(Bs,Em),e(Q,Rm),e(Q,Y),b(Ho,Y,null),e(Y,Fm),e(Y,Ve),e(Ve,Cm),e(Ve,Gs),e(Gs,Sm),e(Ve,zm),e(Ve,Js),e(Js,Pm),e(Ve,Am),e(Y,Nm),b(St,Y,null),e(Y,Im),b(zt,Y,null),e(Y,Dm),b(Pt,Y,null),k(o,aa,$),k(o,He,$),e(He,At),e(At,Ys),b(Bo,Ys,null),e(He,Lm),e(He,Ks),e(Ks,Xm),k(o,ia,$),k(o,_e,$),b(Go,_e,null),e(_e,Wm),e(_e,Zs),e(Zs,Um),e(_e,Qm),e(_e,K),b(Jo,K,null),e(K,Vm),e(K,Be),e(Be,Hm),e(Be,er),e(er,Bm),e(Be,Gm),e(Be,tr),e(tr,Jm),e(Be,Ym),e(K,Km),b(Nt,K,null),e(K,Zm),b(It,K,null),e(K,ed),b(Dt,K,null),k(o,la,$),k(o,Ge,$),e(Ge,Lt),e(Lt,or),b(Yo,or,null),e(Ge,td),e(Ge,nr),e(nr,od),k(o,pa,$),k(o,L,$),b(Ko,L,null),e(L,nd),e(L,sr),e(sr,sd),e(L,rd),e(L,Zo),e(Zo,ad),e(Zo,rr),e(rr,id),e(Zo,ld),e(L,pd),e(L,ar),e(ar,md),e(L,dd),e(L,W),b(en,W,null),e(W,cd),e(W,Je),e(Je,ud),e(Je,ir),e(ir,hd),e(Je,fd),e(Je,lr),e(lr,gd),e(Je,_d),e(W,$d),b(Xt,W,null),e(W,vd),b(Wt,W,null),e(W,kd),b(Ut,W,null),e(W,wd),b(Qt,W,null),e(L,xd),e(L,Vt),b(tn,Vt,null),e(Vt,bd),e(Vt,pr),e(pr,Td),k(o,ma,$),k(o,Ye,$),e(Ye,Ht),e(Ht,mr),b(on,mr,null),e(Ye,Md),e(Ye,dr),e(dr,Od),k(o,da,$),k(o,$e,$),b(nn,$e,null),e($e,yd),e($e,cr),e(cr,qd),e($e,jd),e($e,Z),b(sn,Z,null),e(Z,Ed),e(Z,Ke),e(Ke,Rd),e(Ke,ur),e(ur,Fd),e(Ke,Cd),e(Ke,hr),e(hr,Sd),e(Ke,zd),e(Z,Pd),b(Bt,Z,null),e(Z,Ad),b(Gt,Z,null),e(Z,Nd),b(Jt,Z,null),k(o,ca,$),k(o,Ze,$),e(Ze,Yt),e(Yt,fr),b(rn,fr,null),e(Ze,Id),e(Ze,gr),e(gr,Dd),k(o,ua,$),k(o,X,$),b(an,X,null),e(X,Ld),e(X,_r),e(_r,Xd),e(X,Wd),e(X,ln),e(ln,Ud),e(ln,$r),e($r,Qd),e(ln,Vd),e(X,Hd),e(X,vr),e(vr,Bd),e(X,Gd),e(X,ee),b(pn,ee,null),e(ee,Jd),e(ee,et),e(et,Yd),e(et,kr),e(kr,Kd),e(et,Zd),e(et,wr),e(wr,ec),e(et,tc),e(ee,oc),b(Kt,ee,null),e(ee,nc),b(Zt,ee,null),e(ee,sc),b(eo,ee,null),e(X,rc),e(X,to),b(mn,to,null),e(to,ac),e(to,xr),e(xr,ic),ha=!0},p(o,[$]){const dn={};$&2&&(dn.$$scope={dirty:$,ctx:o}),it.$set(dn);const br={};$&2&&(br.$$scope={dirty:$,ctx:o}),lt.$set(br);const Tr={};$&2&&(Tr.$$scope={dirty:$,ctx:o}),pt.$set(Tr);const Mr={};$&2&&(Mr.$$scope={dirty:$,ctx:o}),dt.$set(Mr);const cn={};$&2&&(cn.$$scope={dirty:$,ctx:o}),ct.$set(cn);const Or={};$&2&&(Or.$$scope={dirty:$,ctx:o}),ut.$set(Or);const yr={};$&2&&(yr.$$scope={dirty:$,ctx:o}),ft.$set(yr);const qr={};$&2&&(qr.$$scope={dirty:$,ctx:o}),gt.$set(qr);const C={};$&2&&(C.$$scope={dirty:$,ctx:o}),_t.$set(C);const jr={};$&2&&(jr.$$scope={dirty:$,ctx:o}),kt.$set(jr);const un={};$&2&&(un.$$scope={dirty:$,ctx:o}),wt.$set(un);const Er={};$&2&&(Er.$$scope={dirty:$,ctx:o}),xt.$set(Er);const Rr={};$&2&&(Rr.$$scope={dirty:$,ctx:o}),Mt.$set(Rr);const hn={};$&2&&(hn.$$scope={dirty:$,ctx:o}),Ot.$set(hn);const ve={};$&2&&(ve.$$scope={dirty:$,ctx:o}),jt.$set(ve);const Fr={};$&2&&(Fr.$$scope={dirty:$,ctx:o}),Et.$set(Fr);const Cr={};$&2&&(Cr.$$scope={dirty:$,ctx:o}),Rt.$set(Cr);const Sr={};$&2&&(Sr.$$scope={dirty:$,ctx:o}),St.$set(Sr);const ke={};$&2&&(ke.$$scope={dirty:$,ctx:o}),zt.$set(ke);const zr={};$&2&&(zr.$$scope={dirty:$,ctx:o}),Pt.$set(zr);const Pr={};$&2&&(Pr.$$scope={dirty:$,ctx:o}),Nt.$set(Pr);const Ar={};$&2&&(Ar.$$scope={dirty:$,ctx:o}),It.$set(Ar);const Nr={};$&2&&(Nr.$$scope={dirty:$,ctx:o}),Dt.$set(Nr);const ne={};$&2&&(ne.$$scope={dirty:$,ctx:o}),Xt.$set(ne);const fn={};$&2&&(fn.$$scope={dirty:$,ctx:o}),Wt.$set(fn);const Ir={};$&2&&(Ir.$$scope={dirty:$,ctx:o}),Ut.$set(Ir);const gn={};$&2&&(gn.$$scope={dirty:$,ctx:o}),Qt.$set(gn);const Dr={};$&2&&(Dr.$$scope={dirty:$,ctx:o}),Bt.$set(Dr);const se={};$&2&&(se.$$scope={dirty:$,ctx:o}),Gt.$set(se);const Lr={};$&2&&(Lr.$$scope={dirty:$,ctx:o}),Jt.$set(Lr);const Xr={};$&2&&(Xr.$$scope={dirty:$,ctx:o}),Kt.$set(Xr);const Wr={};$&2&&(Wr.$$scope={dirty:$,ctx:o}),Zt.$set(Wr);const Ur={};$&2&&(Ur.$$scope={dirty:$,ctx:o}),eo.$set(Ur)},i(o){ha||(T(n.$$.fragment,o),T(no.$$.fragment,o),T(so.$$.fragment,o),T(co.$$.fragment,o),T(uo.$$.fragment,o),T(fo.$$.fragment,o),T(go.$$.fragment,o),T(_o.$$.fragment,o),T($o.$$.fragment,o),T(vo.$$.fragment,o),T(it.$$.fragment,o),T(lt.$$.fragment,o),T(pt.$$.fragment,o),T(ko.$$.fragment,o),T(wo.$$.fragment,o),T(bo.$$.fragment,o),T(dt.$$.fragment,o),T(ct.$$.fragment,o),T(ut.$$.fragment,o),T(To.$$.fragment,o),T(Mo.$$.fragment,o),T(yo.$$.fragment,o),T(ft.$$.fragment,o),T(gt.$$.fragment,o),T(_t.$$.fragment,o),T(qo.$$.fragment,o),T(jo.$$.fragment,o),T(Eo.$$.fragment,o),T(Fo.$$.fragment,o),T(kt.$$.fragment,o),T(wt.$$.fragment,o),T(xt.$$.fragment,o),T(Co.$$.fragment,o),T(So.$$.fragment,o),T(zo.$$.fragment,o),T(Ao.$$.fragment,o),T(Mt.$$.fragment,o),T(Ot.$$.fragment,o),T(No.$$.fragment,o),T(Io.$$.fragment,o),T(Do.$$.fragment,o),T(Xo.$$.fragment,o),T(jt.$$.fragment,o),T(Et.$$.fragment,o),T(Rt.$$.fragment,o),T(Wo.$$.fragment,o),T(Uo.$$.fragment,o),T(Qo.$$.fragment,o),T(Ho.$$.fragment,o),T(St.$$.fragment,o),T(zt.$$.fragment,o),T(Pt.$$.fragment,o),T(Bo.$$.fragment,o),T(Go.$$.fragment,o),T(Jo.$$.fragment,o),T(Nt.$$.fragment,o),T(It.$$.fragment,o),T(Dt.$$.fragment,o),T(Yo.$$.fragment,o),T(Ko.$$.fragment,o),T(en.$$.fragment,o),T(Xt.$$.fragment,o),T(Wt.$$.fragment,o),T(Ut.$$.fragment,o),T(Qt.$$.fragment,o),T(tn.$$.fragment,o),T(on.$$.fragment,o),T(nn.$$.fragment,o),T(sn.$$.fragment,o),T(Bt.$$.fragment,o),T(Gt.$$.fragment,o),T(Jt.$$.fragment,o),T(rn.$$.fragment,o),T(an.$$.fragment,o),T(pn.$$.fragment,o),T(Kt.$$.fragment,o),T(Zt.$$.fragment,o),T(eo.$$.fragment,o),T(mn.$$.fragment,o),ha=!0)},o(o){M(n.$$.fragment,o),M(no.$$.fragment,o),M(so.$$.fragment,o),M(co.$$.fragment,o),M(uo.$$.fragment,o),M(fo.$$.fragment,o),M(go.$$.fragment,o),M(_o.$$.fragment,o),M($o.$$.fragment,o),M(vo.$$.fragment,o),M(it.$$.fragment,o),M(lt.$$.fragment,o),M(pt.$$.fragment,o),M(ko.$$.fragment,o),M(wo.$$.fragment,o),M(bo.$$.fragment,o),M(dt.$$.fragment,o),M(ct.$$.fragment,o),M(ut.$$.fragment,o),M(To.$$.fragment,o),M(Mo.$$.fragment,o),M(yo.$$.fragment,o),M(ft.$$.fragment,o),M(gt.$$.fragment,o),M(_t.$$.fragment,o),M(qo.$$.fragment,o),M(jo.$$.fragment,o),M(Eo.$$.fragment,o),M(Fo.$$.fragment,o),M(kt.$$.fragment,o),M(wt.$$.fragment,o),M(xt.$$.fragment,o),M(Co.$$.fragment,o),M(So.$$.fragment,o),M(zo.$$.fragment,o),M(Ao.$$.fragment,o),M(Mt.$$.fragment,o),M(Ot.$$.fragment,o),M(No.$$.fragment,o),M(Io.$$.fragment,o),M(Do.$$.fragment,o),M(Xo.$$.fragment,o),M(jt.$$.fragment,o),M(Et.$$.fragment,o),M(Rt.$$.fragment,o),M(Wo.$$.fragment,o),M(Uo.$$.fragment,o),M(Qo.$$.fragment,o),M(Ho.$$.fragment,o),M(St.$$.fragment,o),M(zt.$$.fragment,o),M(Pt.$$.fragment,o),M(Bo.$$.fragment,o),M(Go.$$.fragment,o),M(Jo.$$.fragment,o),M(Nt.$$.fragment,o),M(It.$$.fragment,o),M(Dt.$$.fragment,o),M(Yo.$$.fragment,o),M(Ko.$$.fragment,o),M(en.$$.fragment,o),M(Xt.$$.fragment,o),M(Wt.$$.fragment,o),M(Ut.$$.fragment,o),M(Qt.$$.fragment,o),M(tn.$$.fragment,o),M(on.$$.fragment,o),M(nn.$$.fragment,o),M(sn.$$.fragment,o),M(Bt.$$.fragment,o),M(Gt.$$.fragment,o),M(Jt.$$.fragment,o),M(rn.$$.fragment,o),M(an.$$.fragment,o),M(pn.$$.fragment,o),M(Kt.$$.fragment,o),M(Zt.$$.fragment,o),M(eo.$$.fragment,o),M(mn.$$.fragment,o),ha=!1},d(o){t(s),o&&t(_),o&&t(d),O(n),o&&t(v),o&&t(E),O(no),o&&t(Qr),o&&t(F),O(so),O(co),O(uo),O(fo),O(go),o&&t(Vr),o&&t(Ce),O(_o),o&&t(Hr),o&&t(ge),O($o),O(vo),O(it),O(lt),O(pt),o&&t(Br),o&&t(ze),O(ko),o&&t(Gr),o&&t(U),O(wo),O(bo),O(dt),O(ct),O(ut),o&&t(Jr),o&&t(Ae),O(To),o&&t(Yr),o&&t(A),O(Mo),O(yo),O(ft),O(gt),O(_t),O(qo),o&&t(Kr),o&&t(Ie),O(jo),o&&t(Zr),o&&t(N),O(Eo),O(Fo),O(kt),O(wt),O(xt),O(Co),o&&t(ea),o&&t(Le),O(So),o&&t(ta),o&&t(I),O(zo),O(Ao),O(Mt),O(Ot),O(No),o&&t(oa),o&&t(We),O(Io),o&&t(na),o&&t(D),O(Do),O(Xo),O(jt),O(Et),O(Rt),O(Wo),o&&t(sa),o&&t(Qe),O(Uo),o&&t(ra),o&&t(Q),O(Qo),O(Ho),O(St),O(zt),O(Pt),o&&t(aa),o&&t(He),O(Bo),o&&t(ia),o&&t(_e),O(Go),O(Jo),O(Nt),O(It),O(Dt),o&&t(la),o&&t(Ge),O(Yo),o&&t(pa),o&&t(L),O(Ko),O(en),O(Xt),O(Wt),O(Ut),O(Qt),O(tn),o&&t(ma),o&&t(Ye),O(on),o&&t(da),o&&t($e),O(nn),O(sn),O(Bt),O(Gt),O(Jt),o&&t(ca),o&&t(Ze),O(rn),o&&t(ua),o&&t(X),O(an),O(pn),O(Kt),O(Zt),O(eo),O(mn)}}}const Ch={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForMultipleChoice",title:"ORTModelForMultipleChoice"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function Sh(j){return Ku(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Lh extends Bu{constructor(s){super();Gu(this,s,Sh,Fh,Ju,{})}}export{Lh as default,Ch as metadata};
